﻿@model IEnumerable<WebAppCore.Models.ApplicationType>

<div class="container p-3">
    <div class="row pt-4">
        <div class="col-6">
            <h2 class="text-primary">Application Type List</h2>
        </div>
        <div class="col-6 text-right">
            <a asp-action="Create" class="btn btn-primary">
                <i class="fas fa-plus"></i> &nbsp; Create New Application Type
            </a>
        </div>
    </div>

    <br /><br />

    @if (Model.Count() > 0)
    {
        <table class="table table-bordered table-striped" style="width:100%">
            <thead>
                <tr>
                    <th>
                        Name
                    </th>

                    <th></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var obj in Model)
                {
                <tr>
                    <td width="50%">@obj.Name</td>
                    <td class="text-center">
                        <div class="w-75 btn-group" role="group">
                            <a asp-route-Id="@obj.Id" asp-action="Edit" class="btn btn-primary mx-2">
                                <i class="fas fa-edit"></i>
                            </a>
                            <a asp-route-Id="@obj.Id" asp-action="Delete" class="btn btn-danger mx-2">
                                <i class="far fa-trash-alt"></i>
                            </a>
                        </div>
                    </td>
                </tr>
                }
            </tbody>
        </table>
    }
    else
    {
        <p> No application type exists.</p>
    }

</div>
